Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.security
Class Password

    java.lang.Object
      |
      +--com.novell.service.security.Password

public class Password
extends java.lang.Object

This class is a holder for passwords.

Note: Using passwords directly limits the application's ability to use alternative sources of tokens, including smart cards, etc. Thus, use of this class and the related interfaces will limit the application functionality with new authentication features.

See Also:
  `PasswordIdentity`

Constructor Summary
`Password(byte[] passwordBytes)` Construct a password from raw bytes.
`Password(java.lang.String password)` Construct a password using a String.

Method Summary
`void` | `convertToUpperCase()`
`java.lang.String` | `getRaw()` Return a raw version of the password.
`void` | `setPassword(Password passwordObj)` Set the password to equal another using a Password.
`java.lang.String` | `toString()` Return the hash of the password string rather than the actual string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Password

    public Password(java.lang.String password)

  Construct a password using a String.
  Parameters:
    `password` - The string to use for the password.

### Password

    public Password(byte[] passwordBytes)

  Construct a password from raw bytes. The specified bytes will be used exactly as is.
  Parameters:
    `passwordBytes` - the bytes for the password.
    `exclude` -

Method Detail

### setPassword

    public void setPassword(Password passwordObj)

  Set the password to equal another using a Password.
  Parameters:
    `passwordObj` - The Password object to use for the password.

### toString

    public java.lang.String toString()

  Return the hash of the password string rather than the actual string.
  Returns:
    A hash of the password string.
  Overrides:
    toString in class java.lang.Object

### getRaw

    public java.lang.String getRaw()

  Return a raw version of the password.

  This is intended for use by JNI code and should not be used by the application.

  Returns:
    The raw password string.

### convertToUpperCase

    public void convertToUpperCase()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD